tigase.server.xmppserver

## Enum OutgoingState

- java.lang.Object
- - java.lang.Enum<OutgoingState>
  - - tigase.server.xmppserver.OutgoingState

- All Implemented Interfaces:
    Serializable, Comparable<OutgoingState>

      public enum OutgoingState
      extends Enum<OutgoingState>

  Enum description

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTING`
    `HANDSHAKING`
    `NULL`
    `OK`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OutgoingState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OutgoingState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final OutgoingState NULL

    - #### CONNECTING

          public static final OutgoingState CONNECTING

    - #### HANDSHAKING

          public static final OutgoingState HANDSHAKING

    - #### OK

          public static final OutgoingState OK

  - ### Method Detail

    - #### values

          public static OutgoingState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OutgoingState c : OutgoingState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OutgoingState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 "Tigase, Inc.". All rights reserved.